=== debian/changelog ===
ros-kinetic-homer-robot-face (1.0.18-1xenial) xenial; urgency=high

  * bigger text size for expected input
  * Contributors: Lisa

 -- Julian Giesen <jgiesen@uni-koblenz.de>  Thu, 30 Mar 2017 22:00:00 -0000

ros-kinetic-homer-robot-face (1.0.17-1xenial) xenial; urgency=high



 -- Julian Giesen <jgiesen@uni-koblenz.de>  Sun, 19 Mar 2017 23:00:00 -0000

ros-kinetic-homer-robot-face (1.0.15-1xenial) xenial; urgency=high

  * expected input added to robot face
  * right talking finished text output handleing
  * smaller queue sizes
  * Contributors: Florian Polster, Lisa

 -- Julian Giesen <jgiesen@uni-koblenz.de>  Thu, 09 Mar 2017 23:00:00 -0000

ros-kinetic-homer-robot-face (1.0.14-1xenial) xenial; urgency=high

  * fixed missing RenderSystem_GL error
  * Contributors: Niklas Yann Wettengel

 -- Julian Giesen <jgiesen@uni-koblenz.de>  Tue, 13 Dec 2016 23:00:00 -0000

ros-kinetic-homer-robot-face (1.0.13-1xenial) xenial; urgency=high

  * latest changes from homer-repo
  * Contributors: Niklas Yann Wettengel

 -- Julian Giesen <jgiesen@uni-koblenz.de>  Tue, 06 Dec 2016 23:00:00 -0000

ros-kinetic-homer-robot-face (1.0.11-1xenial) xenial; urgency=high

  * homer_robot_face: added homer_mary_tts dependency
  * homer_robot_face: install everything
  * Contributors: Niklas Yann Wettengel

 -- Julian Giesen <jgiesen@uni-koblenz.de>  Mon, 05 Dec 2016 23:00:00 -0000

ros-kinetic-homer-robot-face (1.0.10-1xenial) xenial; urgency=high

  * added libqt5x11extras5-dev dependency
  * Contributors: Niklas Yann Wettengel

 -- Julian Giesen <jgiesen@uni-koblenz.de>  Wed, 16 Nov 2016 23:00:00 -0000

ros-kinetic-homer-robot-face (1.0.9-1xenial) xenial; urgency=high

  * qt4->qt5 in package.xml
  * Contributors: Niklas Yann Wettengel

 -- Julian Giesen <jgiesen@uni-koblenz.de>  Wed, 16 Nov 2016 23:00:00 -0000

ros-kinetic-homer-robot-face (1.0.8-1xenial) xenial; urgency=high

  * fix?
  * Contributors: Niklas Yann Wettengel

 -- Julian Giesen <jgiesen@uni-koblenz.de>  Mon, 14 Nov 2016 23:00:00 -0000

ros-kinetic-homer-robot-face (0.1.1-1xenial) xenial; urgency=high

  * robot_face -> homer_robot_face
  * Contributors: Niklas Yann Wettengel

 -- Julian Giesen <jgiesen@uni-koblenz.de>  Mon, 14 Nov 2016 23:00:00 -0000
