=== debian/control ===
Source: ros-kinetic-homer-robot-face
Section: misc
Priority: extra
Maintainer: Julian Giesen <jgiesen@uni-koblenz.de>
Build-Depends: debhelper (>= 9.0.0), festival, festival-dev, festvox-kallpc16k, libesd0-dev, libestools-dev, libogre-1.9-dev, libopencv-dev, libpulse-dev, libqt5x11extras5-dev, qtbase5-dev, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-cv-bridge, ros-kinetic-genmsg, ros-kinetic-image-transport, ros-kinetic-message-generation, ros-kinetic-roscpp, ros-kinetic-roscpp-serialization, ros-kinetic-roslang, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-homer-robot-face
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, festival, festival-dev, festvox-kallpc16k, libesd0-dev, libestools-dev, libogre-1.9-dev, libopencv-dev, libpulse-dev, libqt5x11extras5-dev, qtbase5-dev, ros-kinetic-cv-bridge, ros-kinetic-homer-mary-tts, ros-kinetic-message-runtime, ros-kinetic-roscpp, ros-kinetic-roscpp-serialization, ros-kinetic-roslib, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Description: An application to display a talking head on your robot for human robot interaction.
